#ifndef DOMAINMANAGETABWIDGET_H
#define DOMAINMANAGETABWIDGET_H

#include <Wt/WWidget> //WWidget
#include <Wt/WContainerWidget> //WContainerWidget
#include <Wt/WHBoxLayout> //WHBoxLayout
#include <Wt/WPushButton> //WPushButton

#include "SingleDomainManageWidget.h" //SingleDomainManageWidget

using namespace Wt; //WWidget
using namespace std; //string

/*!
  *@brief 域名管理标签页。
  *
  *
  */
class DomainManageTabWidget : public WContainerWidget
{
public:
    DomainManageTabWidget(); //!<构造函数。

private:
    SingleDomainManageWidget * TheSingleDomainManageWidget; //!<管理单域名的标签页。
    WStackedWidget * MyStackedWidget; //!<本部件使用的栈部件。
}; //class DomainManageTabWidget : public WContainerWidget

#endif // DOMAINMANAGETABWIDGET_H
