#include "GenieProWebApplication.h"
#include "GenieProWeb.h" //GenieProWeb

/*!
  *@brief 构造函数。
  *
  *WQApplication构造函数中第二个参数是指启用QT事件循环。
  */
GenieProWebApplication::GenieProWebApplication(const WEnvironment& env)
    : WQApplication(env,true)
{
}

/*!
  *@brief 用来创建各个QT对象的虚函数。
  */
void GenieProWebApplication::create()
{
    new GenieProWeb(root()); //创建一个网站对象。

    return;
} //void GenieProWebApplication::create()

/*!
  *@brief 用来销毁各个ＱＴ对象的虚函数。
  */
void GenieProWebApplication::destroy()
{
    return;
} //void GenieProWebApplication::destroy()
